// Distributed under the Boost Software License, Version 1.0.
//    (See accompanying file LICENSE_1_0.txt or copy at
//          http://www.boost.org/LICENSE_1_0.txt)

#include <QtGui/QApplication>
#include <QtDeclarative/QDeclarativeView>
#include <QtDeclarative/QDeclarativeEngine>

int main(int argc, char *argv[])
{
    QApplication::setGraphicsSystem("raster");

    QApplication a(argc, argv);

    QDeclarativeView view;
    QUrl url = QUrl::fromLocalFile(QApplication::applicationDirPath() + "/qml/starguardlevel.qml");
    view.engine()->addImportPath(QApplication::applicationDirPath());
    view.setSource(url);
    view.setResizeMode(QDeclarativeView::SizeRootObjectToView);
    view.show();

    return a.exec();
}
